GetPlayer = GLOBAL.GetPlayer
local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

PrefabFiles = {
	"kako",
	"kako_none",
	"maozi",
	"black",
}

Assets = {

	Asset( "IMAGE", "images/inventoryimages/maozi.tex"),
	Asset( "ATLAS", "images/inventoryimages/maozi.xml"),
	
	Asset( "IMAGE", "images/inventoryimages/black.tex"),
	Asset( "ATLAS", "images/inventoryimages/black.xml"),
	
    Asset( "IMAGE", "images/saveslot_portraits/kako.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/kako.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/kako.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/kako.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/kako_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/kako_silho.xml" ),

    Asset( "IMAGE", "bigportraits/kako.tex" ),
    Asset( "ATLAS", "bigportraits/kako.xml" ),
	
	Asset( "IMAGE", "images/map_icons/kako.tex" ),
	Asset( "ATLAS", "images/map_icons/kako.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_kako.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_kako.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_kako.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_kako.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_kako.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_kako.xml" ),
	
	Asset( "IMAGE", "images/names_kako.tex" ),
    Asset( "ATLAS", "images/names_kako.xml" ),
	
    Asset( "IMAGE", "bigportraits/kako_none.tex" ),
    Asset( "ATLAS", "bigportraits/kako_none.xml" ),

	Asset("SOUNDPACKAGE", "sound/kako.fev"),
	Asset("SOUND", "sound/kako.fsb")
	
}

RemapSoundEvent( "dontstarve/characters/kako/death_voice", "kako/kako/death_voice" )
RemapSoundEvent( "dontstarve/characters/kako/hurt", "kako/kako/hurt" )
RemapSoundEvent( "dontstarve/characters/kako/talk_LP", "kako/kako/talk_LP" )

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.kako = "Notorious Cookie Maned Bandit"
STRINGS.CHARACTER_NAMES.kako = "Kako"
STRINGS.CHARACTER_DESCRIPTIONS.kako = "ULTIMATE FLAIL \nCookie connoisseur \nMaximum floof"
STRINGS.CHARACTER_QUOTES.kako = "\"Can't Stop These Stilts!!!\""

-- Custom speech strings
STRINGS.CHARACTERS.KAKO = require "speech_kako"
--
GLOBAL.STRINGS.NAMES.MAOZI = "Peaky Blinders"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MAOZI = "That's my peaky hat!"

GLOBAL.STRINGS.NAMES.BLACK = "ARM"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BLACK = "That's my peaky ARM!"

-- The character's name as appears in-game 
STRINGS.NAMES.kako = "Esc"

AddPrefabPostInit('maozi')
AddMinimapAtlas("images/map_icons/kako.xml")
AddMinimapAtlas("images/map_icons/maozi.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("kako", "MALE")

